LINUX.ORG.RU

virtualBox

 , , , ,


0

1

Устанавливал VirtualBox и мне вывело:

Удаляется xserver-xorg-video-siliconmotion-lts-vivid (amd64)Подготавливается для удаления xserver-xorg-video-siliconmotion-lts-vivid (amd64)Удаляется xserver-xorg-video-siliconmotion-lts-vivid (amd64)Удалён xserver-xorg-video-siliconmotion-lts-vivid (amd64)Удаляется xserver-xorg-video-sisusb-lts-vivid (amd64)Подготавливается для удаления xserver-xorg-video-sisusb-lts-vivid (amd64)Удаляется xserver-xorg-video-sisusb-lts-vivid (amd64)Удалён xserver-xorg-video-sisusb-lts-vivid (amd64)Выполняется послеустановочный триггер libc-binВыполняется послеустановочный триггер man-dbЗапускается dpkgНастраивается libglapi-mesa (amd64)Настраивается libglapi-mesa (amd64)Установлен libglapi-mesa (amd64)Настраивается libgl1-mesa-glx (amd64)Настраивается libgl1-mesa-glx (amd64)Установлен libgl1-mesa-glx (amd64)Выполняется послеустановочный триггер libc-binЗавершеноУдаляется xserver-xorg-video-openchrome-lts-vivid (amd64)Подготавливается для удаления xserver-xorg-video-openchrome-lts-vivid (amd64)Удаляется xserver-xorg-video-openchrome-lts-vivid (amd64)Удалён xserver-xorg-video-openchrome-lts-vivid (amd64)Удаляется xserver-xorg-video-r128-lts-vivid (amd64)Подготавливается для удаления xserver-xorg-video-r128-lts-vivid (amd64)Удаляется xserver-xorg-video-r128-lts-vivid (amd64)Удалён xserver-xorg-video-r128-lts-vivid (amd64)Удаляется xserver-xorg-video-radeon-lts-vivid (amd64)Подготавливается для удаления xserver-xorg-video-radeon-lts-vivid (amd64)Удаляется xserver-xorg-video-radeon-lts-vivid (amd64)Удалён xserver-xorg-video-radeon-lts-vivid (amd64)Удаляется xserver-xorg-video-savage-lts-vivid (amd64)Подготавливается для удаления xserver-xorg-video-savage-lts-vivid (amd64)Удаляется xserver-xorg-video-savage-lts-vivid (amd64)Удалён xserver-xorg-video-savage-lts-vivid (amd64)
Из-за этого у меня не запускалась система? Как мне всё теперь исправить, что устанавливать, а тут так....


Только вот это могу сказать, в 17 я вот так ставил VBox:

# apt-get install -y virtualbox-nonfree
# adduser USER vboxusers
и все работало, только при обновлениях были случаи что-то не нравилось

NK ★★★★★ ()
Последнее исправление: NK (всего исправлений: 1)
Ответ на: комментарий от NK

Уже исправить не получается

Asus seroff # apt-get install --reinstall xserver-xorg-video-openchrome-lts-vivid xserver-xorg-video-siliconmotion-lts-vivid xserver-xorg-video-sisusb-lts-vivid xserver-xorg-video-r128-lts-vivid xserver-xorg-video-radeon-lts-vivid xserver-xorg-video-savage-lts-vivid
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install»:
Пакеты, имеющие неудовлетворённые зависимости:
 libgbm1 : Зависит: libgl1-mesa-dri
 libgbm1-lts-vivid : Зависит: libgl1-mesa-dri-lts-vivid (= 10.5.9-2ubuntu1~trusty2) но он не будет установлен
 libgl1-mesa-dri-lts-vivid-dbg : Зависит: libgl1-mesa-dri-lts-vivid (= 10.5.9-2ubuntu1~trusty2) но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).
Asus seroff # apt-get install -f && dpkg --configure -a
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  libdrm-amdgpu1 libllvm3.4 libqt5core5a libqt5dbus5 libqt5network5
  libsystemback libxcb-icccm4 libxcb-render-util0 libxcb-xkb1
  libxkbcommon-x11-0 systemback-efiboot-amd64 systemback-scheduler
Для их удаления используйте «apt-get autoremove».
Будут установлены следующие дополнительные пакеты:
  libgl1-mesa-dri-lts-vivid
НОВЫЕ пакеты, которые будут установлены:
  libgl1-mesa-dri-lts-vivid
обновлено 0, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 7 пакетов.
Необходимо скачать 0 B/3.380 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 13,9 MB.
Хотите продолжить? [Д/н] 
(Чтение базы данных … на данный момент установлено 259114 файлов и каталогов.)
Preparing to unpack …/libgl1-mesa-dri-lts-vivid_10.5.9-2ubuntu1~trusty2_amd64.deb ...
Unpacking libgl1-mesa-dri-lts-vivid:amd64 (10.5.9-2ubuntu1~trusty2) ...
dpkg: error processing archive /var/cache/apt/archives/libgl1-mesa-dri-lts-vivid_10.5.9-2ubuntu1~trusty2_amd64.deb (--unpack):
 попытка перезаписать общий «/etc/drirc», который отличается от других экземпляров пакета libgl1-mesa-dri-lts-vivid:amd64
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libgl1-mesa-dri-lts-vivid_10.5.9-2ubuntu1~trusty2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Asus seroff # 

seroff ()
Ответ на: комментарий от NK

Я устанавливал по обычному QApt приложение ставило и всё Вот как исправить....

seroff ()
Ответ на: комментарий от NK
dpkg --configure -a
dpkg: зависимости пакетов не позволяют настроить пакет libgl1-mesa-dri-lts-vivid-dbg:amd64:
 libgl1-mesa-dri-lts-vivid-dbg:amd64 зависит от libgl1-mesa-dri-lts-vivid (= 10.5.9-2ubuntu1~trusty2), однако:
  Пакет libgl1-mesa-dri-lts-vivid:amd64 не установлен.

dpkg: error processing package libgl1-mesa-dri-lts-vivid-dbg:amd64 (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет libgbm1-lts-vivid:amd64:
 libgbm1-lts-vivid:amd64 зависит от libgl1-mesa-dri-lts-vivid (= 10.5.9-2ubuntu1~trusty2), однако:
  Пакет libgl1-mesa-dri-lts-vivid:amd64 не установлен.

dpkg: error processing package libgbm1-lts-vivid:amd64 (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет libgbm1:amd64:
 libgbm1:amd64 зависит от libgl1-mesa-dri, однако:
  Пакет libgl1-mesa-dri не установлен.
  Пакет libgl1-mesa-dri-lts-vivid:amd64, предоставляющий libgl1-mesa-dri, не установлен.

dpkg: error processing package libgbm1:amd64 (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет xserver-xorg-core-lts-vivid:
 xserver-xorg-core-lts-vivid зависит от libgbm1-lts-vivid (>= 8.1~0), однако:
  Пакет libgbm1-lts-vivid:amd64 пока не настроен.

dpkg: error processing package xserver-xorg-core-lts-vivid (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет xserver-xorg-video-savage-lts-vivid:
 xserver-xorg-video-savage-lts-vivid зависит от xorg-video-abi-19, однако:
  Пакет xorg-video-abi-19 не установлен.
  Пакет xserver-xorg-core-lts-vivid, предоставляющий xorg-video-abi-19, пока не настроен.
 xserver-xorg-video-savage-lts-vivid зависит от xserver-xorg-core-lts-vivid (>= 2:1.16.99.901), однако:
  Пакет xserver-xorg-core-lts-vivid пока не настроен.

dpkg: error processing package xserver-xorg-video-savage-lts-vivid (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет libegl1-mesa:amd64:
 libegl1-mesa:amd64 зависит от libgbm1 (>= 7.11~1), однако:
  Пакет libgbm1:amd64 пока не настроен.

dpkg: error processing package libegl1-mesa:amd64 (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет libwayland-egl1-mesa:amd64:
 libwayland-egl1-mesa:amd64 зависит от libegl1-mesa (= 10.1.3-0ubuntu0.6), однако:
  Пакет libegl1-mesa:amd64 пока не настроен.

dpkg: error processing package libwayland-egl1-mesa:amd64 (--configure):
 проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 libgl1-mesa-dri-lts-vivid-dbg:amd64
 libgbm1-lts-vivid:amd64
 libgbm1:amd64
 xserver-xorg-core-lts-vivid
 xserver-xorg-video-savage-lts-vivid
 libegl1-mesa:amd64
 libwayland-egl1-mesa:amd64

seroff ()
Ответ на: комментарий от seroff
При обработке следующих пакетов произошли ошибки:
 libgl1-mesa-dri-lts-vivid-dbg:amd64
 libgbm1-lts-vivid:amd64
 libgbm1:amd64
 xserver-xorg-core-lts-vivid
 xserver-xorg-video-savage-lts-vivid
 libegl1-mesa:amd64
 libwayland-egl1-mesa:amd64

у меня мысль только попробуй удалить их, именно удалить и поставить по-новой

# aptitude purge ПаКеТы ЭтИ
# aptitude install ПаКеТы ЭтИ

если не прокатит попробуй aptitude reinstall

NK ★★★★★ ()
Последнее исправление: NK (всего исправлений: 1)
Ответ на: комментарий от NK

Дело теперь в другом, я всё переустановил, что было в этом логе

Удаляется xserver-xorg-video-siliconmotion-lts-vivid (amd64)Подготавливается для удаления xserver-xorg-video-siliconmotion-lts-vivid (amd64)Удаляется xserver-xorg-video-siliconmotion-lts-vivid (amd64)Удалён xserver-xorg-video-siliconmotion-lts-vivid (amd64)Удаляется xserver-xorg-video-sisusb-lts-vivid (amd64)Подготавливается для удаления xserver-xorg-video-sisusb-lts-vivid (amd64)Удаляется xserver-xorg-video-sisusb-lts-vivid (amd64)Удалён xserver-xorg-video-sisusb-lts-vivid (amd64)Выполняется послеустановочный триггер libc-binВыполняется послеустановочный триггер man-dbЗапускается dpkgНастраивается libglapi-mesa (amd64)Настраивается libglapi-mesa (amd64)Установлен libglapi-mesa (amd64)Настраивается libgl1-mesa-glx (amd64)Настраивается libgl1-mesa-glx (amd64)Установлен libgl1-mesa-glx (amd64)Выполняется послеустановочный триггер libc-binЗавершеноУдаляется xserver-xorg-video-openchrome-lts-vivid (amd64)Подготавливается для удаления xserver-xorg-video-openchrome-lts-vivid (amd64)Удаляется xserver-xorg-video-openchrome-lts-vivid (amd64)Удалён xserver-xorg-video-openchrome-lts-vivid (amd64)Удаляется xserver-xorg-video-r128-lts-vivid (amd64)Подготавливается для удаления xserver-xorg-video-r128-lts-vivid (amd64)Удаляется xserver-xorg-video-r128-lts-vivid (amd64)Удалён xserver-xorg-video-r128-lts-vivid (amd64)Удаляется xserver-xorg-video-radeon-lts-vivid (amd64)Подготавливается для удаления xserver-xorg-video-radeon-lts-vivid (amd64)Удаляется xserver-xorg-video-radeon-lts-vivid (amd64)Удалён xserver-xorg-video-radeon-lts-vivid (amd64)Удаляется xserver-xorg-video-savage-lts-vivid (amd64)Подготавливается для удаления xserver-xorg-video-savage-lts-vivid (amd64)Удаляется xserver-xorg-video-savage-lts-vivid (amd64)Удалён xserver-xorg-video-savage-lts-vivid (amd64)
Но я теперь не могу запустить систему

seroff ()
Ответ на: комментарий от seroff

ужасы какие-то, ну что ж радует, что решение нашлось, отметь тему что решена
а на счет VBox из репа мяты, про который я упомянул здесь, он у меня нормально работал, единственное что только пару раз трабл после обновления был, но он решался: http://linuxhub.ru/viewtopic.php?t=711#p6731

NK ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.